<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.device.fences.PreviewFencesZoneActivity">

    <include
        android:id="@+id/preview_fences_zone_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/fc_preview_fences_map_fragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/preview_fences_zone_top_bar" />

    <RelativeLayout
        android:id="@+id/rl_preview_fences_info_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginHorizontal="@dimen/dp_12"
        android:layout_marginBottom="@dimen/dp_30"
        android:background="@drawable/shape20_white_bg"
        android:paddingHorizontal="@dimen/dp_16"
        android:paddingVertical="@dimen/dp_22">

        <include
            android:id="@+id/il_preview_fences_type_image"
            layout="@layout/item_select_type_card_shade_layout" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_preview_fences_name"
            style="@style/my_TextView_style_v2"
            android:layout_alignTop="@id/il_preview_fences_type_image"
            android:layout_marginStart="@dimen/dp_12"
            android:layout_toEndOf="@id/il_preview_fences_type_image"
            android:text="@string/txt_zone_name"
            android:textSize="@dimen/textSize16"
            android:textStyle="bold"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_preview_fences_location"
            style="@style/my_TextView_style_v2"
            android:layout_below="@id/tv_preview_fences_name"
            android:layout_alignStart="@id/tv_preview_fences_name"
            android:drawableStart="@drawable/icon_wif_location_svg"
            android:drawablePadding="@dimen/dp_8"
            android:gravity="start|center_vertical"
            android:textColor="@color/select_color3"
            android:textSize="@dimen/textSize12"
            app:typeface="@string/roboto_regular_font" />

        <View
            android:id="@+id/preview_fences_placeholder_view"
            android:layout_width="@dimen/dp_10"
            android:layout_height="@dimen/dp_1"
            android:layout_centerHorizontal="true" />

        <com.abbidot.tracker.widget.TypefaceButton
            android:id="@+id/btn_preview_fences_edit"
            style="@style/my_RoundRect_Button_style"
            android:layout_below="@id/il_preview_fences_type_image"
            android:layout_alignParentStart="true"
            android:layout_marginTop="@dimen/dp_24"
            android:layout_toStartOf="@id/preview_fences_placeholder_view"
            android:background="@color/select_color"
            android:text="@string/pet_manage_detail_edit"
            android:textColor="@color/white"
            app:qmui_radius="@dimen/dp_44"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceButton
            android:id="@+id/btn_preview_fences_active"
            style="@style/my_RoundRect_Button_style"
            android:layout_alignTop="@id/btn_preview_fences_edit"
            android:layout_alignParentEnd="true"
            android:layout_toEndOf="@id/preview_fences_placeholder_view"
            android:background="@color/white"
            app:qmui_borderColor="@color/white_gray_color1"
            app:qmui_borderWidth="@dimen/dp_1"
            app:qmui_radius="@dimen/dp_44"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_preview_fences_active_txt"
            style="@style/my_TextView_style_v2"
            android:layout_alignStart="@id/btn_preview_fences_active"
            android:layout_alignTop="@id/btn_preview_fences_active"
            android:layout_alignBottom="@id/btn_preview_fences_active"
            android:layout_marginStart="@dimen/dp_12"
            android:text="@string/txt_active"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_bold_font" />

        <androidx.appcompat.widget.AppCompatCheckBox
            android:id="@+id/cb_preview_fences_switch"
            style="@style/my_checkbox_switch_style"
            android:layout_alignTop="@id/btn_preview_fences_active"
            android:layout_alignEnd="@id/btn_preview_fences_active"
            android:layout_alignBottom="@id/btn_preview_fences_active"
            android:layout_marginVertical="@dimen/dp_8"
            android:layout_marginEnd="@dimen/dp_12" />
    </RelativeLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_preview_fences_refresh_btn"
        style="@style/map_image_yellow_btn_style"
        android:layout_above="@id/rl_preview_fences_info_layout"
        android:layout_alignParentEnd="true"
        android:layout_marginEnd="@dimen/dp_12"
        android:layout_marginBottom="@dimen/dp_26"
        android:visibility="gone" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_preview_fences_map_switch_btn"
        style="@style/map_image_white_btn_style"
        android:layout_above="@id/iv_preview_fences_refresh_btn"
        android:layout_alignEnd="@id/iv_preview_fences_refresh_btn"
        android:layout_marginBottom="@dimen/dp_12"
        android:background="@drawable/shape_white_circle_bg"
        android:visibility="gone" />
</RelativeLayout>